Subject: Re: Linuxppc-embedded Digest, Vol 26, Issue 36

From: Kumar Gala <[email-masked]>
Date: Wed, 18 Oct 2006 20:54:24 -0500

On Oct 18, 2006, at 8:10 PM, Wang Matthew-R59995 wrote:

> Hi Kumar,
>
> Actually I do many trials about it. Vxwerks Bootrom is smaller than
> U-Boot. The key difference between Bootrom and U-boot is that some
> source code of Bootrom is invisible to the users.
>
> Actually the rfi instruction which I point out is the first rfi
> instruction of Linux PowerPC bringup.
>
> Before that, it's TLB entry invalidation and temp TLB entry mapping.
>
> I check MMU setting carefully before coming Linux Kernel.
>
> I just want to know if other guys met similar scenario like me. I  
> don't
> need the precise answer, just overall suggestion about it because I
> understand that not everyone has the same bootloader of mine, that
> bootloader is actually a customized bootloader.

I understand that, thus I was asking what exact problem you were  
seeing to try and help.

> Anyway thank you.
>
> R9 point to LR register, mask the high 20 bit of r9 and send to r7,  
> and
> then add 24, which means stride 6 instructions for rfi instruction
> execution.
>
> Of course, rfi can switch the TLB entry, both the previous TLB  
> entry and
> the temp TLB entry point to the same physical address.
>
> I've checked it.

I know what the code does, I wrote it :)

- kumar